#ifndef AlienCommandDialog_h
#define AlienCommandDialog_h

// $Id: AlienCommandDialog.h,v 1.5 2012/10/11 18:41:55 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "AlienMacroModel.h"
#include "AlienCommandModel.h"

class TreeView;

//! show list of pending commands
class AlienCommandDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    AlienCommandDialog( QWidget* = 0 );

    //! destructor
    virtual ~AlienCommandDialog( void )
    {}

    //!@name models
    //@{
    AlienMacroModel& macroModel( void ) { return macroModel_; }
    AlienCommandModel& commandModel( void ) { return commandModel_; }
    //@}

    //!@name lists
    //@{
    TreeView& macroList( void ) const { return *macroList_; }
    TreeView& commandList( void ) const { return *commandList_; }
    //@}

    signals:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! lists
    TreeView* macroList_;
    TreeView* commandList_;

    //! models
    AlienMacroModel macroModel_;
    AlienCommandModel commandModel_;

};
#endif
