
// $Id: AlienMacro.cpp,v 1.12 2012/11/29 14:09:53 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "AlienMacro.h"
#include "FileInfo.h"

//___________________________________________________________________
unsigned int& AlienMacro::_counter( void )
{
    static unsigned int counter( 0 );
    return counter;
}

//___________________________________________________________________
AlienMacro::AlienMacro( Type type, Flags flags ):
    Counter( "AlienMacro" ),
    id_( _counter()++ ),
    type_( type ),
    flags_( flags )
{}

//___________________________________________________________________
QString AlienMacro::name( const Type& type )
{
    if( _names().empty() ) _initializeNames();
    return _names()[ type ];
}

//___________________________________________________________________
AlienMacro::NameMap& AlienMacro::_names( void )
{
    static NameMap names;
    return names;
}

//___________________________________________________________________
void AlienMacro::_initializeNames( void )
{
    _names()[None] = "none";
    _names()[Add] = "add file to internal list";
    _names()[Clear] = "clear internal file list";
    _names()[FlushErrors] = "check failed commands";
    _names()[Connect] = "connect";
    _names()[CheckProxy] = "check GSI proxy validity";
    _names()[HomeDirectory]="query home directory";
    _names()[ShowDirectory]="query directory content";
    _names()[CreateDirectory]="create directory";
    _names()[Copy]="copy selected items";
    _names()[Locate]="locate selected items";
    _names()[Rename]="rename selected item";
    _names()[Remove]="remove selected items";
    _names()[Open]="open selected items";
    _names()[Find]="find files collection";
    _names()[ListRecursive] = "query directory content (recursive)";
    _names()[SizeRecursive] = "query directory size (recursive)";
    _names()[CopyRecursive] = "copy selected items (recursive)";
    _names()[RemoveRecursive] = "remove selected items (recursive)";
    _names()[ClearSelection] = "clear display selection";
    _names()[Select] = "update display selection";
}
