// $Id: CommandsFailedDialog.cpp,v 1.1 2012/11/29 17:06:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*******************************************************************************/

#include "CommandsFailedDialog.h"

//_____________________________________________________________________
CommandsFailedDialog::CommandsFailedDialog( QWidget* parent, const AlienCommand::List& commands ):
    QuestionDialog( parent )
{

    const int count( commands.size() );
    QString buffer;
    QTextStream what( &buffer );
    if( count > 1 )
    {
        what << count << " commands have failed. Retry ?";
        setText( buffer );

        // details
        QString buffer;
        QTextStream what( &buffer );
        foreach( const AlienCommand& command, commands )
        { what << command.errorString() << endl << endl; }

        setDetails( buffer );

    } else {

        setText( commands.front().errorString() );
        setDetails( commands.front().errorDetails() );

    }

    okButton().setText( "Retry" );

}

