#ifndef FileInformationDialog_h
#define FileInformationDialog_h
// $Id: FileInformationDialog.h,v 1.8 2012/10/25 21:25:57 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "BaseFileInformationDialog.h"
#include "FileInfo.h"
#include "AlienMacro.h"

#include <QtGui/QPushButton>

//! file informations
class FileInformationDialog: public BaseFileInformationDialog
{

    Q_OBJECT

    public:

    //! constructor
    FileInformationDialog( QWidget*, const FileInfo& );

    //! destructor
    virtual ~FileInformationDialog( void )
    {}

    signals:

    //! request macro
    void macroRequested( const AlienMacro& );

    //! request macro
    void macrosRequested( const AlienMacro::List& );

    //! abort
    void requestAbort( void );

    public slots:

    //! macro started
    void macroStarted( const AlienMacro& );

    //! macro started
    void macroCompleted( const AlienMacro& );

    //! update size
    void updateSize( const FileInfo&, qint64 );

    //! request location
    void requestLocation( void );

    //! update location
    void updateLocation( const FileInfo&, const QStringList& );

    protected slots:

    //! request size
    void _requestSize( void );

    protected:

    //! close event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! file info
    FileInfo fileInfo_;

    //! localation
    int locationId_;

    //! size request label
    QPushButton* sizeRequestButton_;

    //! true when busy
    bool busy_;

};

#endif
